package com.community.huiju.dao;

import com.community.huiju.model.TpShopAppraisal;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * version V1.0
 * class_name: $METHOD_NAME$
 * param: $METHOD_PARAM$
 * describe: TODO
 * creat_user:fannaixi
 * creat_time: 2019/7/2
 **/
@Mapper
public interface TpShopAppraisalMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(TpShopAppraisal record);

    int insertSelective(TpShopAppraisal record);

    TpShopAppraisal selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TpShopAppraisal record);

    int updateByPrimaryKey(TpShopAppraisal record);

    /**
     * 查询当前业主评论信息
     * @param shopID
     * @return
     */
    List<TpShopAppraisal> shopEvaluateList(@Param("shopID") Integer shopID, @Param("communityId") Integer communityId);

    /**
     * 统计业主评论总数
     * @param shopID
     * @param communityId
     * @return
     */
    int evaluateCount(@Param("shopID") Integer shopID, @Param("communityId") Integer communityId);
}
