package com.community.huiju.dao;

import com.community.huiju.model.TpUser;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface TpUserMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(TpUser record);

    int insertSelective(TpUser record);

    TpUser selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TpUser record);

    int updateByPrimaryKey(TpUser record);

    /**
     * 当前用户在物业端的信息
     * @param loginName
     * @return
     */
    TpUser selectLoginName(@Param("loginName") String loginName,@Param("communityId") Integer communityId);

    /**
     *
     * @param tpUserId
     * @return
     */
    String selectByIdUserName(@Param("id") Integer tpUserId);

    /**
     *查询所有物业的人员，并排除自身
     * @param id
     * @param communityId
     * @return
     */
    List<TpUser> getUser(@Param("id") Integer id, @Param("communityId") Integer communityId);
}