package com.community.huiju.factory;

import com.community.huiju.factory.impl.HKPlatformVendors;

/**
 * 平台厂商_工厂
 */
public class SimplePlatformVendorsFactory {

    public static final String TYPE_HK = "hk";

    public static final String TYPE_FS = "fs";

    /**
     * 获取 厂商
     * @param type
     * @return
     */
    public  static PlatformVendors getPlatformVendor(String type) {
        switch (type) {
            case "hk":
                return new HKPlatformVendors();
            case "fs":
                return null;
             default:
                return null;
        }
    }

}
