package com.community.huiju.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.community.huiju.model.TpUnitHkSetting;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.ResultType;
import org.apache.ibatis.annotations.Select;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2019-06-18
 */
public interface TpUnitHkSettingMapper extends BaseMapper<TpUnitHkSetting> {



    /**
     * 根据 小区id 和 单元id
     *
     * @param communityId
     * @param unitId
     * @return
     */
    @ResultType(TpUnitHkSetting.class)
    @Select("select * from tp_unit_hk_setting where community_id = #{communityId} and unit_id = #{unitId}")
    TpUnitHkSetting selectByCommunityIdAndUnitId(Integer communityId, Integer unitId);

}
