package com.community.huiju.dao;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@Mapper
public interface TaTemporaryLicenseOrderMapper {
	
	List<Map<String, Object>> getLicensePlateByOpenid(@Param("openid") String openid,@Param("communityId") Integer communityId);
	
	List<Map<String, Object>> getLicensePlateRecordsByOpenid(@Param("openid") String openid,@Param("communityId") Integer communityId);
	
	int saveTmpOrder(@Param("communityId") Integer communityId, @Param("orderNo") String orderNo, @Param("actualAmount") String actualAmount, @Param("openid") String openid, @Param("carNo") String carNo,@Param("price") BigDecimal price);
	
	int updateTmpOrder(@Param("outTradeNo") String outTradeNo);
	
	Map<String, Object> selectByOrderNumber(@Param("outTradeNo") String outTradeNo);
}
