package com.community.huiju.dao;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.community.huiju.model.ShopAppraisal;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 商铺评价表 Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2019-07-04
 */
@Mapper
public interface ShopAppraisalMapper extends BaseMapper<ShopAppraisal> {

    /**
     * 线下商铺评价列表
     * @param page
     * @param id
     * @param shopName
     * @param score
     * @param content
     * @param appraisalPeople
     * @param appraisalTel
     * @return
     */
    IPage<ShopAppraisal> ticketList(Page page, @Param("id") Integer id, @Param("shopName")String shopName, @Param("score")String score, @Param("content")String content, @Param("appraisalPeople")String appraisalPeople, @Param("appraisalTel")String appraisalTel);
}
